cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/forge/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "workspace",
"workspaceId": "<string>",
"fetcherId": "<string>",
"options": {
"credentialsId": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/forge/options"
payload = {
"scope": "workspace",
"workspaceId": "<string>",
"fetcherId": "<string>",
"options": { "credentialsId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'workspace',
workspaceId: '<string>',
fetcherId: '<string>',
options: {credentialsId: '<string>'}
})
};
fetch('http://127.0.0.1:3333/v3/forge/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
"<unknown>"
]
}Forge
Fetch Forge Options
Fetch Forge Options with the Sendbot API v3.
POST
/
v3
/
forge
/
options
cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/forge/options \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "workspace",
"workspaceId": "<string>",
"fetcherId": "<string>",
"options": {
"credentialsId": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/forge/options"
payload = {
"scope": "workspace",
"workspaceId": "<string>",
"fetcherId": "<string>",
"options": { "credentialsId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'workspace',
workspaceId: '<string>',
fetcherId: '<string>',
options: {credentialsId: '<string>'}
})
};
fetch('http://127.0.0.1:3333/v3/forge/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
"<unknown>"
]
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Available options:
workspace Available options:
ai-agent, openai, cal-com, chat-node, qr-code, dify-ai, mistral, elevenlabs, anthropic, together-ai, open-router, nocodb, segment, posthog, groq, zendesk, perplexity, deepseek, blink Show child attributes
Show child attributes
Response
200 - application/json
Default Response